#
# spec file for package libyaml
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libyaml
Version:        0.1.4
Release:        1.3
#
License:        MIT
Group:          Development/Libraries/C and C++
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
Url:            http://pyyaml.org/wiki/LibYAML
Source:         http://pyyaml.org/download/libyaml/yaml-%{version}.tar.gz
#
Summary:        A YAML 1.1 parser and emitter written in C

%description
A YAML 1.1 parser and emitter written in C

%define lib_name libyaml-0-2

%package -n %{lib_name}


Group:          Development/Libraries/C and C++
#
Summary:        Shared library from libyaml

%description -n %{lib_name}
A YAML 1.1 parser and emitter written in C

This package holds the shared library of libyaml.

%package devel
Group:          Development/Libraries/C and C++
Requires:       %{lib_name} = %{version}
#
Summary:        Development files for libyaml

%description devel
A YAML 1.1 parser and emitter written in C

This package holds the development files for libyaml.

%prep
%setup -n yaml-%{version}

%build
%configure --with-pic --disable-static
make %{?_smp_flags}

%install
%makeinstall
find %{buildroot} -name \*.la -delete -print

%check
make check

%post   -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libyaml-0.so.2
%{_libdir}/libyaml-0.so.2.0.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/yaml.h
%{_libdir}/libyaml.so
%{_libdir}/pkgconfig/yaml-0.1.pc

%changelog
* Tue Mar 26 2013 dmueller@suse.com
- update to 0.1.4:
  * documentation update
  * add pkgconfig support
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Wed Feb  9 2011 pascal.bleser@opensuse.org
- fixed erroneous license from GPLv2 to MIT, bnc#670525
* Tue Apr  6 2010 mrueckert@suse.de
- initial package of version 0.1.3
